:: |   _____________________       _____       		 .'  '.       |
:: |   ______  /__  __ \__(_)________  /______		:      :      |
:: |   ___ _  /__  /_/ /_  /__  __ \  __/  __ \		| _  _ |      |
:: |   / /_/ / _  ____/_  / _  / / / /_ / /_/ /      .-.|(o)(o)|.-.   |
:: |   \____/  /_/     /_/  /_/ /_/\__/ \____/      ( ( | .--. | ) )  |
:: |                			             '-/ (    ) \-'   |
:: |                                                  /   '--'   \    |
:: |        wRITTeN bY jpinto@jppinto.com             \ `"===="` /    |
:: |      				              `\   ''   /'    |
:: | 		    11/10/2011 	v.1.0.0	         	\______/      |
:: |==================================================================|
:: SP and Cumulative Update Slipstream for MOSS or SP2010
:: created by John Pinto. http://www.jppinto.com


:: SET DIRECTORIES HERE ---- NO \ AT THE END OF THE PATH NAME!!
:: MAKE SURE ALL FILES ARE LOCAL! NO UNC's 
:: Variables - 1. Set UpdatesPath to the location of the 4 update files
::             2. Set LogFilesPath to the location where you want the log file 
::             3. Set BaseInsPath to the "Updates" folder of extracted SP 2007/2010 Install
:: =====================================================================
set UpdatesPath=C:\Software\SP2010Updates
set LogFilesPath=C:\Software\SP2010Updates
set BaseInsPath=C:\Software\SharePoint2010base\Updates


:: SET UPDATE FILE NAMES HERE - Files should be in the 'UpdatesPath' location
:: Variables - 1. Set WSSSP to the EXE name of your foundation or WSS SP file
::             2. Set ServerSP to the EXE name of your Server 2007 or 2010 SP file
::	       3. Set WSSCU to the EXE name of your foundation or WSS CU file
::	       4. Set ServerCU to the EXE name of your Server 2007 or 2010 CU file
:: =====================================================================
set WSSSP=sharepointfoundation2010sp1-kb2460058-x64-fullfile-en-us
set ServerSP=officeserver2010sp1-kb2460045-x64-fullfile-en-us
set WSSCU=sharepointfoundation2010-kb2596508-fullfile-x64-glb
set ServerCU=office2010-kb2596505-fullfile-x64-glb


:: CODE: DO NOT EDIT BELOW THIS LINE UNLESS YOU KNOW WHAT YOU ARE DOING!
:: =====================================================================
:: Change directory to UpdatesPath
pushd "%UpdatesPath%"

:: SP Slipstream
%WSSSP% /quiet /log:%LogFilesPath%\%WSSSP%.log /extract:%BaseInsPath%
%ServerSP% /quiet /log:%LogFilesPath%\%ServerSP%.log /extract:%BaseInsPath%

:: CU Slipstream 
%WSSCU% /quiet /log:%LogFilesPath%\%WSSCU%.log /extract:%BaseInsPath%
%ServerCU% /quiet /log:%LogFilesPath%\%ServerCU%.log /extract:%BaseInsPath%

:: Pause to review results
pause
